Bug 252053 - Removing an account does not refresh the account list after editing it
Summary: Removing an account does not refresh the account list after editing it
Status: RESOLVED FIXED
Alias: None
Product: telepathy
Classification: Unclassified
Component: accounts-kcm (show other bugs)
Version: unspecified
Platform: openSUSE RPMs Linux
: NOR normal
Target Milestone: 0.4.0
Assignee: Telepathy Bugs
URL:
Keywords:
Depends on:
Blocks: tppreviewrelease
  Show dependency treegraph
 
Reported: 2010-09-22 16:51 UTC by Gael Beaudoin
Modified: 2012-11-09 10:13 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gael Beaudoin 2010-09-22 16:51:07 UTC
Version:           unspecified (using KDE 4.5.1) 
OS:                Linux

The account list is not refreshed after removing an account.
If you close and open the kcm again, the account is gone.

Reproducible: Didn't try

Steps to Reproduce:
 - create an account (gabble in this case)
 - edit the created account
 - close with ok
 - remove it, confirm the deletion
=> the list is not refreshed.
Comment 1 Daniele E. Domenichelli 2010-09-22 17:48:42 UTC
The same thing sometimes happens when an account is created.
But I cannot understand how to reproduce it.
Comment 2 Gustavo Pichorim Boiko 2010-09-23 15:43:49 UTC
SVN commit 1178681 by boiko:

Make the dialogs modal and use a simpler method to set the config pages' title.
This commit also makes the editting of accounts a resposibility of the kcm
module instead of doing that in the item itself.

The sideeffect of this commit is that it also fixes the account list not being
refreshed sometimes.
BUG: 252053


 M  +1 -38     account-item.cpp  
 M  +0 -4      account-item.h  
 M  +9 -21     accounts-list-model.cpp  
 M  +1 -1      accounts-list-model.h  
 M  +9 -45     add-account-assistant.cpp  
 M  +0 -5      add-account-assistant.h  
 M  +13 -26    edit-account-dialog.cpp  
 M  +1 -6      edit-account-dialog.h  
 M  +8 -61     kcm-telepathy-accounts.cpp  
 M  +0 -4      kcm-telepathy-accounts.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1178681
Comment 3 David Edmundson 2012-11-03 06:48:37 UTC
Git commit cadb5be3470665e877fe381977d367af843f7511 by David Edmundson, on behalf of Gustavo P. Boiko.
Committed on 23/09/2010 at 15:49.
Pushed by davidedmundson into branch 'model_refactor_1'.

Make the dialogs modal and use a simpler method to set the config pages' title.
This commit also makes the editting of accounts a resposibility of the kcm
module instead of doing that in the item itself.

The sideeffect of this commit is that it also fixes the account list not being
refreshed sometimes.

svn path=/trunk/playground/network/telepathy-accounts-kcm/; revision=1178681

M  +9    -21   KTp/Models/accounts-list-model.cpp
M  +1    -1    KTp/Models/accounts-list-model.h

http://commits.kde.org/telepathy-common-internals/cadb5be3470665e877fe381977d367af843f7511
Comment 4 David Edmundson 2012-11-09 06:32:26 UTC
Git commit 81c26b7fbfb8562916d3acfa81d16d357c527806 by David Edmundson, on behalf of Gustavo P. Boiko.
Committed on 23/09/2010 at 15:49.
Pushed by davidedmundson into branch 'master'.

Make the dialogs modal and use a simpler method to set the config pages' title.
This commit also makes the editting of accounts a resposibility of the kcm
module instead of doing that in the item itself.

The sideeffect of this commit is that it also fixes the account list not being
refreshed sometimes.

svn path=/trunk/playground/network/telepathy-accounts-kcm/; revision=1178681

M  +9    -21   KTp/Models/accounts-list-model.cpp
M  +1    -1    KTp/Models/accounts-list-model.h

http://commits.kde.org/telepathy-common-internals/81c26b7fbfb8562916d3acfa81d16d357c527806